## com.vividsolutions.jts.noding
Interface NodableSegmentString

All Superinterfaces:
  SegmentString

All Known Implementing Classes:
  NodedSegmentString

public interface NodableSegmentString
extends SegmentString

An interface for classes which support adding nodes to a segment string.

Author:
  Martin Davis

Method Summary
`void` `addIntersection(Coordinate intPt, int segmentIndex)` Adds an intersection node for a given point and segment to this segment string.

Methods inherited from interface com.vividsolutions.jts.noding.SegmentString
`getCoordinate, getCoordinates, getData, isClosed, setData, size`

Method Detail

### addIntersection

    public void addIntersection(Coordinate intPt,
                                int segmentIndex)

  Adds an intersection node for a given point and segment to this segment string.

  Parameters:
    `intPt` - the location of the intersection
    `segmentIndex` - the index of the segment containing the intersection